Bug 963077 - Review Request: brise - The official Rime schema repository
Review Request: brise - The official Rime schema repository
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On: 963074
Blocks: 963078
  Show dependency treegraph
 
Reported: 2013-05-15 02:05 EDT by Peng Wu
Modified: 2013-09-24 23:56 EDT (History)
4 users (show)

See Also:
Fixed In Version: ibus-rime-0.9.9-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 20:59:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2013-05-15 02:05:42 EDT
Spec URL: http://pwu.fedorapeople.org/rime/brise.spec
SRPM URL: http://pwu.fedorapeople.org/rime/brise-0.22-1.fc18.src.rpm
Description: La brise: the official Rime schema repository.
Fedora Account System Username:pwu
Comment 1 Peng Wu 2013-05-21 01:38:43 EDT
librime is built for rawhide.
Please review this package, thanks.
Comment 2 Christopher Meng 2013-05-21 02:10:00 EDT
Just a note,

Summary:        "T"he
Comment 3 Jens Petersen 2013-05-21 04:38:12 EDT
Why:

#Requires:       librime

? :)
Comment 4 Parag AN(पराग) 2013-05-21 12:02:11 EDT
Review:

+ mock build succeeded for rawhide

+ rpmlint on rpms gave
brise.src: W: summary-not-capitalized C the official Rime schema repository
brise.src: W: invalid-url Source0: http://rimeime.googlecode.com/files/brise-0.22.tar.gz HTTP Error 404: Not Found
brise.x86_64: W: summary-not-capitalized C the official Rime schema repository
brise.x86_64: E: no-binary
brise-debuginfo.x86_64: E: empty-debuginfo-package
3 packages and 0 specfiles checked; 2 errors, 3 warnings.
==> sourcecode warning can be ignored here

+ Source verified with upstream as
http://rimeime.googlecode.com/files/brise-0.22.tar.gz :
  CHECKSUM(SHA256) this package     : a048b741a7651dbb47d1b6e6e25d266d670680112b70ca3c27f2bc17dcafde59
  CHECKSUM(SHA256) upstream package : a048b741a7651dbb47d1b6e6e25d266d670680112b70ca3c27f2bc17dcafde59

+ package follows packaging guidelines

Suggestions:
1) Should this be noarch package? if not then you can disable debuginfo package 
 with "%global debug_package %{nil}" at the beginning of the spec.

2) Please fix the issues raised in above comments.

3) you can also ChangeLog AUTHORS add to %doc
Comment 5 Peng Wu 2013-05-22 01:03:19 EDT
Fixed, please review it again.
Spec URL: http://pwu.fedorapeople.org/rime/brise.spec
SRPM URL: http://pwu.fedorapeople.org/rime/brise-0.22-2.fc18.src.rpm
Comment 6 Parag AN(पराग) 2013-05-22 01:14:28 EDT
Looks good now. Thanks.

Once this become available in f20 tree, will check for ibus-rime review.

APPROVED.
Comment 7 Peng Wu 2013-05-22 01:46:55 EDT
New Package SCM Request
=======================
Package Name: brise
Short Description: The official Rime schema repository
Owners: pwu
Branches: f18 f19
InitialCC: i18n-team petersen
Comment 8 Gwyn Ciesla 2013-05-22 12:42:48 EDT
Git done (by process-git-requests).
Comment 9 Fedora Update System 2013-05-24 21:49:06 EDT
ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18
Comment 10 Fedora Update System 2013-05-24 21:49:26 EDT
ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19
Comment 11 Fedora Update System 2013-05-25 15:02:48 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 12 Fedora Update System 2013-05-27 20:59:35 EDT
ibus-rime-0.9.9-2.fc18, brise-0.22-2.fc18, librime-0.9.8-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 13 Fedora Update System 2013-05-27 22:16:43 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.